%global srcname testscenarios

Name:           python-%{srcname}
Version:        0.5.0
Release:        %mkrel 14
Summary:        A pyunit extension for dependency injection
Group:          Development/Python
License:        ASL2.0 or BSD
URL:            https://launchpad.net/testrepository
Source0:        https://pypi.python.org/packages/source/t/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
testscenarios provides clean dependency injection for python unittest
style tests. This can be used for interface testing (testing many
implementations via a single test suite) or for classic dependency
injection (provide tests with dependencies externally to the test
code itself, allowing easy testing in different situations).

%package -n     python3-%{srcname}
Summary:        A pyunit extension for dependency injection
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
testscenarios provides clean dependency injection for python unittest
style tests. This can be used for interface testing (testing many
implementations via a single test suite) or for classic dependency
injection (provide tests with dependencies externally to the test
code itself, allowing easy testing in different situations).

This is the Python 3 version of the package.

%prep
%setup -q -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files testscenarios

%files -n python3-%{srcname} -f %{pyproject_files}
%doc AUTHORS ChangeLog NEWS README


%changelog
* Mon Jan 22 2024 papoteur <papoteur> 0.5.0-14.mga10
+ Revision: 2033538
- rebuild for python 3.12
- use pyproject macros

* Thu Mar 24 2022 umeabot <umeabot> 0.5.0-13.mga9
+ Revision: 1824906
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 0.5.0-12.mga9
+ Revision: 1781623
- rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 0.5.0-11.mga9
+ Revision: 1706475
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.5.0-10.mga8
+ Revision: 1532690
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 0.5.0-9.mga8
+ Revision: 1442608
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 tv <tv> 0.5.0-8.mga7
+ Revision: 1352036
+ rebuild (emptylog)

* Fri Sep 21 2018 umeabot <umeabot> 0.5.0-7.mga7
+ Revision: 1290406
- Mageia 7 Mass Rebuild

* Thu Mar 22 2018 kekepower <kekepower> 0.5.0-6.mga7
+ Revision: 1211341
- Renamed python-testscenarios to python2-testscenarios
- Use python_provide

* Thu Oct 05 2017 tv <tv> 0.5.0-5.mga7
+ Revision: 1169046
- add BR on python2dist(pbr) thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 0.5.0-4.mga7
+ Revision: 1135661
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 0.5.0-3.mga6
+ Revision: 971231
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 daviddavid <daviddavid> 0.5.0-2.mga6
+ Revision: 889846
- add python3 package
- use new python macros
- add doc files

* Mon Aug 31 2015 fwang <fwang> 0.5.0-1.mga6
+ Revision: 871512
- upload source
- add spec file
+ bcornec <bcornec>
- Created package structure for python-testscenarios.

